Name: libgandalf
Version: 1.5
Release: alt1

Summary: Gandalf is a library designed to support efficient image processing and computer vision applications
License: GPL
Group: System/Libraries
Url: http://gandalf-library.sourceforge.net
Packager: Andrey Semenov <mitrofan@altlinux.ru>

Source: gandalf.%version-1.tar.gz

# Automatically added by buildreq on Wed Sep 24 2003
BuildRequires: XFree86-devel XFree86-libs libGLU-devel libglut-devel
BuildRequires: libjpeg-devel libpng-devel libtiff-devel zlib-devel

%description
Gandalf is a compact C software library designed to support efficient
image processing and computer vision applications.
The current Gandalf packages are:
* Common package:
      General purpose tools used by other packages. Includes allocation
      routines, linked list support, various numerical functions, error
      handling and array manipulations.
* Linear algebra package:
      This includes vector/matrix manipulation routines both for small
      objects (sizes 2,3,4) and general size vetors & matrices. The latter
      optionally employs LAPACK for certain operations, where a fast
      implementation of LAPACK is available.
* Image package:
      Contains low-level image creation and manipulation functions,
      supporting grey-level, RGB colour images with or without alpha
      channels, with various different pixel depths. 2D and 3D vector field
      images are also supported.
* Vision
      Some useful vision utitily modules, including edge/line/corner feature
      detection, and geometrical fitting routines.

%package -n %name-devel
Summary: Development files for libgandalf
Group: Development/C
PreReq: %name = %version-%release
License: GPL

%description -n %name-devel
This package contains development files required for packaging
libgandalf-based software.

%package -n %name-devel-static
Summary: Static libraries for libgandalf
Group: Development/C
PreReq: %name-devel = %version-%release
License: GPL

%description -n %name-devel-static
This package contains development libraries required for packaging
statically linked libgandalf-based software.

%prep
%setup -q -n gandalf

%build
./configure --prefix=%buildroot/usr
make

%install
%__mkdir_p %buildroot%_includedir
%__mkdir_p %buildroot%_libdir
make install INSTINCDIR=%buildroot%_includedir \
             INSTLIBDIR=%buildroot%_libdir

%post -n %name -p /sbin/ldconfig

%postun -n %name -p /sbin/ldconfig

%files -n %name
%doc CHANGELOG INSTALL README doc
%_libdir/lib*.so.*

%files -n %name-devel
%_includedir/gandalf
%_libdir/*.so

%files -n %name-devel-static
%_libdir/*.a

%changelog
* Mon May 23 2005 Andrey Semenov <mitrofan@altlinux.ru> 1.5-alt1
- 1.5

* Wed Mar 16 2005 Andrey Semenov <mitrofan@altlinux.ru> 1.4.2-alt1
- 1.4.2

* Fri Feb 25 2005 Andrey Semenov <mitrofan@altlinux.ru> 1.4.1-alt1
- 1.4.1

* Tue Dec 16 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.3.2-alt1
- 1.3.2

* Sun Nov 2 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.3.1-alt1
- First version of RPM package.

